hexnet(1)

NAME
hexnet

SYNOPSIS
hexnet [-a address] [-p port] [-d delay] [-m maxnum] [-f format] [-v verbose]

DESCRIPTION
hexnet is a minimalistic network terminal for testing of binary communications. It accepts multiple pairs of characters interpreting each pair as a hexadecimal number. Pairs may optionally be delimited by any character, e.g. "2a:45" or "44 4c". Lower and upper case letters are both accepted. Data is send to a host specified by IP address and port, received data can be displayed in different formats.

  Optionen

-a address
    Address of host to connect to (IP version 4, DNS is not supported).

-p port
    Host port to connect to.

-m maxnum
    Maximum number of bytes (size of buffer) for a single transmission.

-d delay
    Time to wait before reading a response from the socket in steps of 100 ms (0..200, i.e. 20s). Default is no wait (0).

-f format
    Format for arranging received data: 0: human readable 1: hex 2: hex (bytewise, separated by blanks) 3: hex (bytewise, separated by colons) 4: hex (wordwise, separated by blanks)

-v verbose
    Be verbose